Subject: RE:Re: RE:Blanket replacement #Ref 2021112400090039
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 30 Nov 2021 15:16:30 -0800

Hello Stephanie Abbate,

I am sorry you are having issues trying to get through to our Customer Service.  Please try again 866-456-8852.

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

E&E Co. Ltd. dba JLA Home

===============================================================================

Hello,

I am trying to call but the line keeps saying busy. I’m not sure what that’s about. Should I keep trying? I just am worried about my warranty expiring.

Thank you,

Stephanie Abbate

Sent from the all new AOL app for iOS

On Wednesday, November 24, 2021, 1:23 PM, [email-masked]

Hello,

Thank you for your email.  I am sorry to hear you are experiencing problems with your electric product. Please contact JLA Home at 1-866-456-8852; they will be able to assist you. They will need the following information to register your product and to assist you further.  Their hours are M-F 7am - 3:30pm (PST).

Proof of Purchase Date
Your Physical Mailing Address:
Phone number:
Brand of Product:
Product Category:
Size of product:
Color of Product:
Controller Model No.:
Place of Purchase:
Date of Purchase:
Price of Purchase:
RN#: (this can be found on the bottom of the controller)
Stamped Date Code: (Located on the big white sewn on label)

If you have not already done so, we recommend that you please try and trouble shoot your electric product.  Please disconnect the controller and disconnect the power cord; wait 30 minutes and then plug the controller back into the Blanket and power cord. This may help to reset the unit.  If this does not fix the issue please contact our Customer Service at 1-866-456-8852

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

E&E Co. Ltd. dba JLA Home

===============================================================================

Hello,

My name is Stephanie Abbate and I have called and emailed before. My heated blanket broke on me and I am concerned because I believe my warranty expiration is coming up. I would really like to get it replaced before this happens so if someone can get back to me as soon as possible I’d appreciate it.

Thank you for your time,

Stephanie Abbate

Sent from the all new AOL app for iOS